> For the complete documentation index, see [llms.txt](https://synconics.gitbook.io/webhook/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://synconics.gitbook.io/webhook/endpoints/get-a-webhooks/get-a-list-of-webhooks-of-particular-ids.md).

# Get a list of webhooks of particular ids

Give a list of webhook ids and optionally [domain](https://www.odoo.com/documentation/16.0/developer/reference/backend/orm.html#reference-orm-domains) filter and a list of fields to fetch. By default, it will fetch all the fields the current user can read.

**`GET /restapi/1.0/webhooks?ids={comma_separated_ids}`**

**Request**:

```
GET /restapi/1.0/webhooks?ids=3,12 HTTP/1.1
Host: {your_Odoo_server_url}
```

**Response**:

```
HTTP/1.1 200 OK

{
  'webhook': [
      {
          'id': 3,
          'name': 'Product Creation',
          'model': 'product.product',
          'kind': 'on_create',
          'address': 'https://requestbin.net/152eq5l1',
          'format': 'json',
          'language': 'en_US',
          'fields': [],
          'create_date': '2017-11-02 12:15:47',
          'write_date': '2017-11-02 14:12:40'
      },
      {
          'id': 12,
          'name': 'Product Deletion',
          'model': 'product.product',
          'kind': 'on_unlink',
          'address': 'https://requestbin.net/152eq5l1',
          'format': 'json',
          'language': 'en_US',
          'fields': [],
          'create_date': '2017-11-02 12:15:47',
          'write_date': '2017-11-02 14:12:40'
      }
  ]
}
```

**Query parameters:**

**fields -** OPTIONAL. list of field names to return (default is all fields).

| Headers and Status Codes | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Request Headers          | <ul><li><a href="https://www.rfc-editor.org/rfc/rfc9110.html#name-accept">Accept</a> – the response content type depends on <em>Accept</em> header</li><li><a href="https://www.rfc-editor.org/rfc/rfc9110.html#name-authorization">Authorization</a> – The OAuth protocol parameters to authenticate.</li></ul>                                                                                                                                                                            |
| Response Headers         | <ul><li><a href="https://www.rfc-editor.org/rfc/rfc9110.html#name-content-type">Content-Type</a> – this depends on <em>Accept</em> header of request</li></ul>                                                                                                                                                                                                                                                                                                                              |
| Status Codes             | <ul><li><a href="https://www.rfc-editor.org/rfc/rfc9110.html#name-200-ok">200 OK</a> – no error</li><li><a href="https://www.rfc-editor.org/rfc/rfc9110.html#name-404-not-found">404 Not Found</a> – there’s no resource</li><li><a href="https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized">401 Unauthorized</a> – authentication failed</li><li><a href="https://www.rfc-editor.org/rfc/rfc9110.html#name-403-forbidden">403 Forbidden</a> – if any error raise</li></ul> |

Conversely, picking only six fields deemed interesting.

**Request:**

```
GET /restapi/1.0/webhooks?ids=3,12&fields=['name', 'model', 'kind', 'address', 'format', 'language'] HTTP/1.1
Host: {your_Odoo_server_url}
```

**Response**:

```
HTTP/1.1 200 OK

{
  'webhook': [
      {
          'id': 3,
          'name': 'Product Creation',
          'model': 'product.product',
          'kind': 'on_create',
          'address': 'https://requestbin.net/152eq5l1',
          'format': 'json',
          'language': 'en_US'
      },
      {
          'id': 12,
          'name': 'Product Deletion',
          'model': 'product.product',
          'kind': 'on_unlink',
          'address': 'https://requestbin.net/152eq5l1',
          'format': 'json',
          'language': 'en_US'
      }
  ]
}
```

<mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">even if the</mark> <mark style="color:orange;">`id`</mark> <mark style="color:blue;">field is not requested, it is always returned</mark>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://synconics.gitbook.io/webhook/endpoints/get-a-webhooks/get-a-list-of-webhooks-of-particular-ids.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
